﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Microsoft.Phone.Controls;
using Telerik.Windows.Controls;

namespace Q12012.WindowsPhone.Demos
{
    public partial class SlideView : PhoneApplicationPage
    {
        public SlideView()
        {
            InitializeComponent();

            this.Loaded += new RoutedEventHandler(SlideView_Loaded);
        }

        void SlideView_Loaded(object sender, RoutedEventArgs e)
        {
            string[] uris = new string[8];
            for (int i = 0; i < 8; i++)
            {
                uris[i] = "Images/transitions-" + (i + 1) + ".jpg";
            }

            xSlideView.DataContext = uris;
        }

        private void xFlip_Click(object sender, RoutedEventArgs e)
        {
            this.xSlideView.TransitionMode = SlideViewTransitionMode.Flip;
        }

        private void xSlide_Click(object sender, RoutedEventArgs e)
        {
            this.xSlideView.TransitionMode = SlideViewTransitionMode.Slide;
        }
    }
}