﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using System.Windows.Data;

namespace Q12012.WindowsPhone.Demos
{
    public class OrientationToBoolConverter : IValueConverter
    {
        public object Convert(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            Orientation orientation = (Orientation)value;
            return orientation == Orientation.Vertical;
        }

        public object ConvertBack(object value, Type targetType, object parameter, System.Globalization.CultureInfo culture)
        {
            bool boolVal = (bool)value;

            if (boolVal)
            {
                return Orientation.Vertical;
            }

            return Orientation.Horizontal;
        }
    }
}
